## Bsoft program

# dhand

### Usage: dhand [options] input1.star [input2.star...]

Compares projections of two oppositely handed reconstructions to images
of tilted specimens. The orientation of the second view is predicted from the first view's orientation and from the tilt-axis direction and the rotation angle. For particles from the two views, output selection values are set to 1 (hand A), 2 (hand B), or 0 (unassigned, FOM < min. value or |FOMA-FOMB| < min. acceptable difference). Particles with input selection values of zero are ignored unless option '-all' is used.

### Actions:

-difference 1 | Compute |difference| between measured (input) and predicted
| orientations, 0=do not (default), 1=pred. orient. and avg
| |difference|, 2=#1 + individual values.
-org2 cross | Get particle origins of second view by cross-correlation
| with projections of predicted view (cross), from image
| files (image), or from parameter files (param, default).
-selconsist | Sets selection values in unused micrographs to be consistent
| with those in views 1 and 2.

### Parameters:

-verbose 1 | Verbosity of output.
-all | Include all particles (default sel>0).
-numberperfield 3 | Number of micrographs per field-of-view (default 1).
-fieldID dbgd | Set the field ID (multiple micrographs will get numbered ID's).
-axis 74.7 | Tilt axis angle relative to x-axis (default from parameter file).
-origin 50,5.3,50.4 | Set the x,y,z origin of 3D map, in pixel units.
-mindiff 0.05 | minimum acceptable |difference| between hand A & B
| correlation coefficients, default = 0.050.
-minfom 0.1 | min. acceptable value for FOM of correct hand, default=0.
-radii 5,65 | Radial limits (in pixels), default = all radii.
-resolution 100,17 | Resolution limits in angs. (low,high), default = 400,20.
-sampling 2.54 | x,y,z pixel sampling (input map and all micrographs).

### Parameters for selecting first and second views (use mgsel or both mg1 & mg2):

-mgsel angle,0,-5.0 | Criterion, value for first view, value for second view
-mg1 index,1 | Micrograph in each set that is the first view
-mg2 angle,-5.0 | Micrograph in each set that is the second view
| Options:
| angle,a (tilt angle)
| index,n (index within a series, beginning with 1)
| near,n (nth nearest-to-focus, beginning with 1)
| far,n (nth farthest-from-focus, beginning with 1)

### Input:

-map input.img | Reference map.

### Output:

-output output.star | Outputs data in STAR format to output.star
-outprj output.img | Outputs projections to output_field#_img#_imgID.img

Bsoft version 2.0.3-20180917 (64 bit)